# shellcheck shell=sh
# .bashrc

# User specific aliases and functions

alias rm='rm -i'
alias cp='cp -i'
alias mv='mv -i'

# Source global definitions
if [ -f /etc/bashrc ]; then
	# shellcheck source=/dev/null
	. /etc/bashrc
fi

# make sure that ssh agent is running and connect to it
# shellcheck source=/dev/null
[ -f /root/.ssh/agent ] && . /root/.ssh/agent > /dev/null
if ! kill -0 "$SSH_AGENT_PID" > /dev/null 2>&1 ; then
    ssh-agent -s > /root/.ssh/agent
    # shellcheck source=/dev/null
    . /root/.ssh/agent > /dev/null
fi
